Subject: Re: Signal Handler Overwrites errno (or YACPP)
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Date: Thu, 28 Dec 2000 09:19:49 -0500

Chris,

On Wed, Dec 27, 2000 at 02:11:19PM -0500, Christopher Faylor wrote:
> It's extremely unlikely that the year-old post that you copied has any
> bearing on this problem.

I was skeptical about the relevance of a year-old post too, but was thrown
by the following:

On Fri, 10 Dec 1999 20:51:27 -0500, Chris Faylor wrote:
> So, now, in some situations, I save the errno for restoration when
> a signal handler returns.

I thought that may be select() was not included in the "some situations"
mentioned above.

> I've written a simple test case to verify that cygwin is saving and restoring
> errno correctly and it seems to work fine.

Reading the PostgreSQL postmaster.c CVS log, it appears that this problem
was recently found and corrected.

Thanks for setting me straight and sorry for wasting your time.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple